#$Id: emacspeak.spec.in,v 14.5004 2001/11/11 00:52:59 raman Exp $cho
Summary: emacspeak -- The Complete Audio Desktop
Name: emacspeak
Version: 17.0
Release: 4
License: GPL
Group: Applications/Editors
Source: http://prdownloads.sourceforge.net/emacspeak/emacspeak-%{version}.tar.bz2
Source10: filter-deps.sh
%define __perl_requires %{SOURCE10}
URL: http://emacspeak.sourceforge.net/
Patch0: emacspeak-15.0-fixpref.patch
Requires: emacs
Prereq: info
BuildRequires: emacs findutils perl
ExclusiveArch: i386
BuildRoot: %{_tmppath}/%{name}-%{version}-root


%description 
Emacspeak is a speech interface that allows visually impaired users to
interact independently and efficiently with the computer. Available free of
cost on the Internet, Emacspeak has dramatically changed how the author and
hundreds of blind and visually impaired users around the world interact with
the personal computer and the Internet. A rich suite of task-oriented
speech-enabled tools provides efficient speech-enabled access to the evolving
semantic WWW. When combined with Linux running on low-cost PC hardware,
Emacspeak/Linux provides a reliable, stable speech-friendly solution that
opens up the Internet to visually impaired users around the world. With
support for the freely downloadable IBM ViaVoice Outloud speech synthesis
engine, Emacspeak now turns Linux into the first zero-cost Internet access
solution for blind and visually impaired users.

%prep
%setup -q
%patch0 -p1

## these shouldn't be in the tarball...
#rm -r `find -type d -name "CVS"`
rm realaudio/.nosearch
#rm realaudio/.cvsignore


%build
make  config SRC=`pwd`
make

%install
rm -rf %{buildroot}
# make sure install-info is in path
export PATH=$PATH:/sbin
#mkdir -p %{buildroot}%{_infodir}
make install prefix=%{buildroot}%{_prefix} infodir=%{buildroot}%{_infodir}
rm -f %{buildroot}%{_infodir}/*dir
#rm %{buildroot}%{_infodir}/*.gz
perl -pi -e "s|%{buildroot}||g" %{buildroot}%{_bindir}/emacspeak

 
rm %{buildroot}%{_datadir}/emacs/site-lisp/emacspeak/.nosearch
rm %{buildroot}%{_datadir}/emacs/site-lisp/emacspeak/realaudio/.cvsignore


%post
/sbin/install-info %{_infodir}/emacspeak.info.gz %{_infodir}/dir --section "Accessibility"

%preun
if [ "$1" = 0 ]; then
	/sbin/install-info --delete %{_infodir}/emacspeak.info.gz %{_infodir}/dir --section "Accessibility"
fi

%clean
rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc servers/linux-outloud/VIAVOICE
%doc etc/NEWS* etc/FAQ etc/HELP etc/COPYRIGHT etc/tips.html etc/applications.html
%doc user-guide/*.html
%{_datadir}/emacs/site-lisp/emacspeak/
%{_bindir}/*
%{_infodir}/*

%changelog
* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Mon Jan 13 2003 Jens Petersen <petersen@redhat.com> 17.0-3
- bring back sbin to install path for install-info

* Thu Jan  9 2003 Jeff Johnson <jbj@redhat.com> 17.0-2
- filter unwanted perl(HTML::TableExtract) dependency.

* Mon Jan  6 2003 Jens Petersen <petersen@redhat.com> 17.0-1
- update to 17.0
- adjust source url
- quieten setup
- remove some obsolete cleanup deletions
- use _datadir, _infodir, _bindir, _prefix, and buildroot
- clean buildroot before installing, and at the end
- actually install info dir file entry on install (#74136)
- don't include texi and sgml files in docs dir
- encode spec changelog in utf-8

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Mon Jun 10 2002 Trond Eivind Glomsrød <teg@redhat.com> 16.0-1
- 16.0
- Get rid of some zero length files
- Update URL, file location

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Mon Apr  1 2002 Trond Eivind Glomsrød <teg@redhat.com> 15.0-4
- Fix %%preun (#62484)

* Thu Mar 28 2002 Trond Eivind Glomsrød <teg@redhat.com> 15.0-3
- Remove traces of the buildroot from /usr/bin/emacspeak (#62198)

* Fri Mar 22 2002 Trond Eivind Glomsrød <teg@redhat.com> 15.0-2
- Remove CVS directories
- Various other cleanups

* Tue Mar  5 2002 Trond Eivind Glomsrød <teg@redhat.com>
- Add Changelog
- s/Copyright/License/
- Remove vendor/packager
- Use Buildroot
